QuoteProduct

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class QuoteProduct

    java.lang.Object
      com.fenalco.entities.AbstractProduct
          com.fenalco.entities.QuoteProduct

    public class QuoteProduct

extends AbstractProduct

Author:
  Juan Ernesto Peña

Field Summary
`private int` | `quoteId` Identificador de la cotización
`private double` | `quotePrice`

Fields inherited from class com.fenalco.entities.AbstractProduct
`code, name, price, quantity, supplierId, supplierName, supplierProductId, tableId`

Constructor Summary
`QuoteProduct()` Constructor por defecto de la clase
`QuoteProduct(int tableId)` Constructor de la clase

Method Summary
`boolean` | `delete(Transaction transaction)` elimina el producto de la base de datos creando la instrucción sql y la pasa a la transacción
`int` | `getQuoteId()` Getter for property quoteId.
`double` | `getQuotePrice()` Getter for property quotePrice.
`int` | `hashCode()`
`boolean` | `loadData(int id)` Carga los datos del producto de la base de datos a partir del id del producto en la tabla producto_cotizacion
`boolean` | `saveData(Transaction transaction)` almacena los datos del producto en la base de datos construyendo la sentencia sql necesaria y adicionandola a la transacción.
`void` | `setQuoteId(int quoteId)` Setter for property quoteId.
`void` | `setQuotePrice(double quotePrice)` Setter for property quotePrice.
`boolean` | `update(Transaction transaction)` actualiza el producto en la base de datos construyendo la instrucción sql y pasandola a la transacción

Methods inherited from class com.fenalco.entities.AbstractProduct
`getCode, getName, getPrice, getQuantity, getSupplierId, getSupplierName, getSupplierProductId, getTableId, setCode, setName, setPrice, setQuantity, setSupplierId, setSupplierName, setSupplierProductId, setTableId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quoteId

    private int quoteId

  Identificador de la cotización

### quotePrice

    private double quotePrice

Constructor Detail

### QuoteProduct

    public QuoteProduct()

  Constructor por defecto de la clase

### QuoteProduct

    public QuoteProduct(int tableId)

  Constructor de la clase

  Parameters:
    `tableId` - int que representa el id de la tabla producto_cotizacion

Method Detail

### loadData

    public boolean loadData(int id)

  Carga los datos del producto de la base de datos a partir del id del producto en la tabla producto_cotizacion

  Specified by:
    `loadData` in class `AbstractProduct`
  Parameters:
    `id` - identificador del producto en la tabla necesaria
  Returns:
    booleano que indica si se pudo cargar el producto o no

### saveData

    public boolean saveData(Transaction transaction)

  almacena los datos del producto en la base de datos construyendo la sentencia sql necesaria y adicionandola a la transacción.

  Specified by:
    `saveData` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolenao que indica si la operación se realizó con éxito

### update

    public boolean update(Transaction transaction)

  actualiza el producto en la base de datos construyendo la instrucción sql y pasandola a la transacción

  Specified by:
    `update` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si la operación se pudo ejecutar o no

### delete

    public boolean delete(Transaction transaction)

  elimina el producto de la base de datos creando la instrucción sql y la pasa a la transacción

  Specified by:
    `delete` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo ejecutar la operación o no

### getQuoteId

    public int getQuoteId()

  Getter for property quoteId.

  Returns:
    Value of property quoteId.

### setQuoteId

    public void setQuoteId(int quoteId)

  Setter for property quoteId.

  Parameters:
    `quoteId` - New value of property quoteId.

### getQuotePrice

    public double getQuotePrice()

  Getter for property quotePrice.

  Returns:
    Value of property quotePrice.

### setQuotePrice

    public void setQuotePrice(double quotePrice)

  Setter for property quotePrice.

  Parameters:
    `quotePrice` - New value of property quotePrice.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD